
QGIS Application - Bug report #7502

Display/layer name not saved in qml

2013-04-04 04:58 AM - andskog -

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 16452

Description

Layer Properties/Display, a custom Layer name is not saved to the QML file. (Same thing on two week old master.)

History

#1 - 2013-06-04 04:38 PM - Larry Shaffer

Should it be?

If I loaded a .qml style, and it changed the current layer's name, I'd be kinda upset. Seems to me the layer's style should stay abstracted from the layer's

base properties, like its custom (legend) name or data source URI.

Or, do you mean the custom name should be saved into the .qml just for reference, i.e. never (or maybe optionally) used when the style file is loaded?

There has recently been some discussion about offering a listing of what a style being loaded offers, with checkboxes that allow the user to choose which

parts of the style to apply. I see the custom layer name as something that could then be saved to the .qml, and upon load be offered as a style option to

apply, but unchecked by default.

#2 - 2014-06-21 05:18 AM - Jürgen Fischer

- Category set to Project Loading/Saving

#3 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
